org.apache.ignite.internal.processors.metric

## Class GridMetricManager.MemoryUsageMetrics

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.GridMetricManager.MemoryUsageMetrics

Enclosing class:
  GridMetricManager

    public class GridMetricManager.MemoryUsageMetrics
    extends Object

Memory usage metrics.

### Constructor Summary

Constructors
Constructor and Description
`MemoryUsageMetrics(String group, String metricNamePrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update(MemoryUsage usage)` Updates metric to the provided values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryUsageMetrics

    public MemoryUsageMetrics(String group,
                              String metricNamePrefix)

Parameters:
  `group` - Metric registry.
  `metricNamePrefix` - Metric name prefix.

### Method Detail

#### update

    public void update(MemoryUsage usage)

Updates metric to the provided values.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020